﻿/* 淡入淡出過渡效果 */
.fade-enter-active, .fade-leave-active {
    transition: opacity .3s ease;
}

.fade-enter, .fade-leave-to {
    opacity: 0;
}



/* 圖片淡入動畫 */
.image-fade-enter-active, .image-fade-leave-active {
    transition: opacity 0.3s ease-in-out;
}

.image-fade-enter, .image-fade-leave-to {
    opacity: 0;
}
.jump-banner-fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

.jump-banner-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
}

.jump-banner-modal {
    position: relative;
    z-index: 10000;
    max-width: 90%;
    max-height: 90%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.jump-banner-container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 90%;
    max-height: 90vh;
}

.jump-banner-link {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

.jump-banner-image {
    max-width: 90%;
    max-height: 90vh;
    object-fit: contain;
    border-radius: 8px;
}

.jump-banner-image-current {
    position: relative;
    z-index: 1;
    
}

.jump-banner-image-next {
    position: absolute;
    z-index: 0;
}

.jump-banner-close {
    position: absolute;
    top: -30px;
    right: 0px;
    width: 45px;
    height: 45px;
    background: #555;
    border: 1px solid #333;
    border-radius: 50%;
    font-size: 26px;
    cursor: pointer;
    color: #fff !important;
    z-index: 10001;
    padding: 0;
    line-height: 1.2;
    text-align: center;
    transition: all 0.3s ease;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
}
.jump-banner-close > img{
    width:32px;
    height:32px;
}

.jump-banner-close:hover {
    background: #555;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.7);
    transform: scale(1.1);
}

    .jump-banner-close:active {
        transform: scale(0.95);
    }
